
% This function calculates the correlation matrix for specified experiments
% USAGE:
% expIdx : index number of the experiments to be selected from the
% microarray collection
% threshold : p-value cut-off limit for the correlation
%
% "getCorrMat" also requires "alldata" and "arrayInd" which can be declared globally
% alldata : data from all the microarrays in the dataset
% arrayInd : file containing index numbers of the all the experiments

function [corrMat, pMat] = getCorrMat2(expIdx, sizeMat, threshold, type)
global arrayInd;
global alldata;
Eidx = ismember(arrayInd, expIdx);
selectData = alldata(:,Eidx);  %retrieves data from selected experiments, for all the genes
if (type==2)
[corrMat pMat] = corrcoef(selectData');
elseif (type==1)
[corrMat pMat] = Fast_Corr([1:sizeMat], selectData);  %HX's fast correlation function
end
threshold; %not used


